//+------------------------------------------------------------------+
//|                                                    Simple EA.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//Literally copying Ferrus Format to a tee

extern string Label1="===General Trade Settings===";
extern int   TakeProfit=25;
extern int    StopLoss=10;
extern int    TrailingStop=0;
extern int    Slippage=2;
extern double  Lot=0.1;
//---------Time Filter--------//

extern string Label5="===Moving Average Settings===";
extern int    MA_Period=200;
extern int    MA_Shift=0;
extern int    MA_Type=1;
extern int    MA_Price=0;



//-------Initialize EA Orders Accounting-----//



int start()
{
   //--------------Bar CHeck------//
   double EMA=iMA(NULL,PERIOD_M1,MA_Period,MA_Shift,MA_Type,MA_Price,0);
   double BarClose;
   BarClose=iClose(Symbol(),PERIOD_M1,0);
   //---------Adjusting for every digit broker-------------//
   int mypoint;
   
   if (Digits==3||Digits==5){ mypoint=10;}
   else {mypoint=1;}
   //------------Taking Trades----------//
   int total = OrdersTotal();
   if(total<1)// You only want to check to open orders. If you have none open. 
   {          //Otherwise it will open an order on every tick...
      if(BarClose>EMA)
      {
         double SLB=Bid-StopLoss*Point*mypoint;
         double TPB=Bid+TakeProfit*Point*mypoint;
         int buy = OrderSend(Symbol(),0,Lot,Ask,Slippage,SLB,TPB);
         //if order succeeds, int buy will be ticket number of order just placed.
         //if this was an ecn broker you can not send tp and sl along with order, you use zeros.
         //but if order succeeds .. you use the 'buy' (ticketnumber) of order just placed to select it then modify it.
         //if(buy>0)OrderSelect(buy,SELECT_BY_TICKET,MODE_TRADES)      //select the order you just placed 
         //OrderModify(OrderTicket(),OrderOpenPrice(),SLB,TPB,0,Green);//put in your SLB and TPB
         if(buy>0)  Print("BUY order opened : ",OrderOpenPrice());//if ticket number exists. Print.
         else       Print("Error opening BUY order : ",GetLastError());//otherwise get the error.
      }

      if(BarClose<EMA)
      {
         double SLS=Ask+StopLoss*Point*mypoint;
         double TPS=Ask-TakeProfit*Point*mypoint;
         int sell = OrderSend(Symbol(),1,Lot,Bid,Slippage,SLS,TPS);
         if(sell>0)  Print("SELL order opened : ",OrderOpenPrice());
         else        Print("Error opening BUY order : ",GetLastError()); 
      }
   }

//int err=GetLastError();You don't want this here it will run every tick.
//Alert(err);  Even if there is no error.

return(0);
}
//+------------------------------------------------------------------+